​
Select Service
ves-io-schema-bgp_asn_set-API-Get
Published April 5, 2023 | Last modified September 15, 2026
Examples of getting bgp_asn_set
Usecase:
Get bgp-asn-anonymous from the system which created earlier
Request using vesctl:
vesctl configuration get bgp_asn_set bgp-asn-anonymous --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: bgp-asn-anonymous namespace: documentationreferringObjects: []resourceVersion: "429"spec: asNumbers: - 1234 - 5678 - 9101 - 1121status: []systemMetadata: creationTimestamp: "2026-06-19T22:02:33.218865Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 5e969475-b62c-41c4-b35e-30828caad6a4Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/bgp_asn_sets/bgp-asn-anonymous?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 894Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:02:33 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "429", "metadata": { "name": "bgp-asn-anonymous", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "5e969475-b62c-41c4-b35e-30828caad6a4", "creation_timestamp": "2026-06-19T22:02:33.218865Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "as_numbers": [ 1234, 5678, 9101, 1121 ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}